- name: "Deploy iptablesv4 configuration"
  template: src=rules.v4 dest=/etc/iptables/rules.v4

- name: "Deploy iptablesv6 configuration"
  template: src=rules.v6 dest=/etc/iptables/rules.v6

- name: "Deploy systemd-networkd configuration"
  template: src=en.network dest=/etc/systemd/network/en.network

- name: "Deploy resolv.conf (the DNS section in systemd-networkd requires systemd-resolved...)"
  template: src=resolv.conf dest=/etc/resolv.conf

- name: "Activate IP forwarding"
  sysctl:
    name: net.ipv4.ip_forward
    value: "1"
    sysctl_set: yes
